// Pklad: Programovn v C++ na FJFI - VUT
#pragma hdrfile="TCDEF.SYM" // pro urychlen pekladu
#include <graphics.h>
#include <complex.h>
#include <stdio.h>
#include <conio.h>
#include <process.h>

long double DoStupnu(long double radianu) {
 return 180*radianu/M_PI;
}

long double DoRadianu(long double stupnu) {
 return M_PI*stupnu/180;
}

void Vypis(char* text,long double hodnota) {
 cout << text << " je " << hodnota << " radin " << DoStupnu(hodnota) << "" << endl;
}

void Vypis2(char* text,long double stupnu,long double vystup) {
 cout << text << " " << stupnu << " (" << text << " " << DoRadianu(stupnu) << " radin) je " << vystup << endl;
}

int main() {
 long double nekonecno=1.0/0.0;
 cout << "No slva, konen se Vm podailo spustit tento program. Blahopejeme." << endl;
 Vypis("Arcustangens 0",atan(0));
 Vypis("Arcustangens 1",atan(1));
 cout << "Hodnota nekonena pro long double je " << nekonecno << endl;
 Vypis("Arkustangens v +nekonenu podle funkce atan",atan(nekonecno));
 Vypis("Arkustangens v -nekonenu podle funkce atan",atan(-nekonecno));
 Vypis("Arkustangens v +1/0 podle funkce atan2",atan2(+1,0));
 Vypis("Arkustangens v -1/0 podle funkce atan2",atan2(-1,0));
 Vypis2("Sinus",45,sin(DoRadianu(45)));
 Vypis2("Cosinus",60,cos(DoRadianu(60)));
 Vypis2("Tangens",45,tan(DoRadianu(45)));
 cout << "Konec programu, nebute smutn, me si ho spustit znovu..." << endl << endl;
 return 0;
}
